RawTile Class Reference

Class to represent a single image tile. More...

`#include <RawTile.h>`

## Public Member Functions

| RawTile (int tn=0, int res=0, int hs=0, int vs=0, int w=0, int h=0, int c=0, int b=0)
| Main constructor.
| ~RawTile ()
| Destructor to free the data array if is has previously be allocated locally.
| RawTile (const RawTile &tile)
| Copy constructor - handles copying of data buffer.
RawTile & | operator= (const RawTile &tile)
| Copy assignment constructor.
unsigned int | size ()
| Return the size of the data.

## Public Attributes

int | tileNum
| The tile number for this tile.
int | resolution
| The resolution to which this tile belongs.
int | hSequence
| The horizontal angle to which this tile belongs.
int | vSequence
| The vertical angle to which this tile belongs.
CompressionType | compressionType
| Compression type.
int | quality
| Compression rate or quality.
std::string | filename
| Name of the file from which this tile comes.
time_t | timestamp
| Tile timestamp.
void * | data
| Pointer to the image data.
int | memoryManaged
unsigned int | dataLength
| The size of the data pointed to by data.
unsigned int | width
| The width in pixels of this tile.
unsigned int | height
| The height in pixels of this tile.
int | channels
| The number of channels for this tile.
int | bpc
| The number of bits per channel for this tile.
SampleType | sampleType
| Sample format type (fixed or floating point).
bool | padded
| Padded.

## Friends

int | operator== (const RawTile &A, const RawTile &B)
| Overloaded equality operator.
int | operator!= (const RawTile &A, const RawTile &B)
| Overloaded non-equality operator.

## Detailed Description

Class to represent a single image tile.

## Constructor & Destructor Documentation

## RawTile()

RawTile::RawTile | ( | int | tn = 0,
|  | int | res = 0,
|  | int | hs = 0,
|  | int | vs = 0,
|  | int | w = 0,
|  | int | h = 0,
|  | int | c = 0,
|  | int | b = 0 )

inline

Main constructor.

Parameters

  tn | tile number
  res | resolution
  hs | horizontal sequence angle
  vs | vertical sequence angle
  w | tile width
  h | tile height
  c | number of channels
  b | bits per channel per sample

References bpc, channels, compressionType, data, dataLength, height, hSequence, memoryManaged, padded, quality, resolution, sampleType, tileNum, timestamp, vSequence, and width.

Referenced by operator!=, operator=(), operator==, and RawTile().

## Member Data Documentation

## memoryManaged

int RawTile::memoryManaged

This tracks whether we have allocated memory locally for data or whether it is simply a pointer This is used in the destructor to make sure we deallocate correctly

Referenced by operator=(), RawTile(), RawTile(), and ~RawTile().

The documentation for this class was generated from the following file:

- RawTile.h